Ticket #34762

マクロウィンドウに行番号が表示されない

Open Date: 2014-12-30 17:28 Last Update: 2015-02-05 00:17

Reporter:
(del#24082)
Owner:
(del#24082)
Type:
Status:
Closed
Component:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
None
Vote
Score: 0
No votes
0.0% (0/0)
0.0% (0/0)

Details

マクロのファイル名が長い場合、マクロウィンドウに行番号が表示されない。

cf.
http://logmett.com/forum/viewtopic.php?f=2&t=2668

処置方法としては、
 1. ファイル名が長い場合、末尾を..で省略する。
 2. マクロウィンドウをリサイズ可能にする。
の合わせ技かなと考えています。

Ticket History (3/6 Histories)

2014-12-30 17:28 Updated by: (del#24082)
  • New Ticket "マクロウィンドウに行番号が表示されない" created
2014-12-30 17:33 Updated by: (del#24082)
  • Details Updated
2014-12-30 17:53 Updated by: (del#1144)
Comment

一つのアイディアとして、末尾ではなく「C:\Program Files(x86)\te...\hoge.ttl」みたいに、ファイル名の直前をちょん切るのはどうでしょうか。

2014-12-30 18:36 Updated by: (del#1144)
Comment

あ、もともとdirname部分は出てないんですね。難しいですね…

ttlなのは明らかなはず?なので、末尾を切るのがいいかもしれませんね。

2015-01-02 17:32 Updated by: (del#24082)
Comment

ファイル名を..で省略するほうは、Visual Studioに"End Ellipsis"という機能がすでに あったので、それを利用して簡単に実装できました。
問題は、マクロウィンドウのリサイズ化で、これが結構難しいというか面倒です。 とりあえず、最低限の実装をリビジョン5752でコミットしました。しかし、これだけだと、 なぜか Release build 版で問題があったため、リビジョン5754 で回避処置を入れてあります。
あとは、PAUSEボタンとENDボタンもリサイズで追従できるようになるとよいのですが、 それはまた別途考えることにします。

2015-02-05 00:17 Updated by: (del#24082)
  • Ticket Close date is changed to 2015-02-05 00:17
  • Status Update from Open to Closed
  • Resolution Update from None to Fixed

Attachment File List

No attachments

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login